package main

import (
	"fmt"
	"io/ioutil"
	"encoding/json"
)

type PredictorServerConfig struct {
	Protocols map[Protocol]PredictorImageConfig `json:"protocols"`
}

type Protocol string

type PredictorImageConfig struct {
	ContainerImage      string `json:"image"`
	DefaultImageVersion string `json:"defaultImageVersion"`
}

func main() {
	fmt.Println("hello")
	bytes, err := ioutil.ReadFile("predictor.config")
	if err != nil {
		fmt.Printf("fail to read file %#v\n", err)
	}

	predictorServerConfig := make(map[string]PredictorServerConfig)
	err = json.Unmarshal(bytes, &predictorServerConfig)
	if err != nil {
		fmt.Println(fmt.Errorf("Unable to unmarshall\n %v \nDue to %v ", string(bytes), err))
	}
}